Bug 1830060 (CVE-2020-2814)

Summary: CVE-2020-2814 mysql: InnoDB unspecified vulnerability (CPU Apr 2020)
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: databases-maint, dbecker, dciabrin, hhorak, jjanco, jjoyce, jlyle, jorton, jschluet, jstanek, lhh, ljavorsk, lpeer, mbayer, mburns, mkocka, mmuzila, mschorm, sclewis, slinaber, SpikeFedora
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mysql 5.6.48, mysql 5.7.29, mysql 8.0.19, mariadb 10.4.13, mariadb 10.3.23, mariadb 10.2.32, mariadb 10.1.45 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-19 15:18:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1830104, 1830105, 1830106, 1830107, 1830108, 1830109, 1830111, 1830113, 1830114, 1830118, 1830119, 1830120, 1874024, 1874027, 1874031, 1880323, 1880325, 1894120, 1899031, 1899038, 1899039, 1899040    
Bug Blocks: 1830097    

Description Guilherme de Almeida Suckevicz 2020-04-30 19:35:34 UTC
Vulnerability in the MySQL Server product of Oracle MySQL (component: InnoDB). Supported versions that are affected are 5.6.47 and prior, 5.7.28 and prior and 8.0.18 and prior. Easily exploitable vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server.

External References:

https://www.oracle.com/security-alerts/cpuapr2020.html

Comment 1 Guilherme de Almeida Suckevicz 2020-04-30 20:38:45 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1830106]


Created mysql:5.6/community-mysql tracking bugs for this issue:

Affects: fedora-30 [bug 1830109]


Created mysql:5.7/community-mysql tracking bugs for this issue:

Affects: fedora-30 [bug 1830108]


Created mysql:8.0/community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1830107]

Comment 3 errata-xmlrpc 2020-08-19 14:09:34 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:3518 https://access.redhat.com/errata/RHSA-2020:3518

Comment 4 Product Security DevOps Team 2020-08-19 15:18:26 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-2814

Comment 9 errata-xmlrpc 2020-09-14 12:56:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3732 https://access.redhat.com/errata/RHSA-2020:3732

Comment 11 errata-xmlrpc 2020-09-15 16:20:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:3755 https://access.redhat.com/errata/RHSA-2020:3755

Comment 13 errata-xmlrpc 2020-09-15 18:29:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:3757 https://access.redhat.com/errata/RHSA-2020:3757

Comment 19 errata-xmlrpc 2020-10-05 15:15:45 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:4174 https://access.redhat.com/errata/RHSA-2020:4174

Comment 20 errata-xmlrpc 2020-11-30 13:45:15 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:5246 https://access.redhat.com/errata/RHSA-2020:5246

Comment 21 errata-xmlrpc 2020-12-15 17:09:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:5500 https://access.redhat.com/errata/RHSA-2020:5500

Comment 22 errata-xmlrpc 2020-12-22 09:01:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2020:5654 https://access.redhat.com/errata/RHSA-2020:5654

Comment 23 errata-xmlrpc 2020-12-22 09:24:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:5663 https://access.redhat.com/errata/RHSA-2020:5663

Comment 24 errata-xmlrpc 2020-12-22 09:25:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:5665 https://access.redhat.com/errata/RHSA-2020:5665